Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.admin.listener
Class TaskCleanUpProcessEventListener

    java.lang.Object
      org.drools.core.event.DefaultProcessEventListener
          org.jbpm.services.task.admin.listener.TaskCleanUpProcessEventListener

All Implemented Interfaces:
  EventListener, ProcessEventListener

    public class TaskCleanUpProcessEventListener

extends org.drools.core.event.DefaultProcessEventListener

Constructor Summary
`TaskCleanUpProcessEventListener(TaskService taskService)`

Method Summary
`void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).

Methods inherited from class org.drools.core.event.DefaultProcessEventListener
`afterNodeLeft, afterNodeTriggered, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskCleanUpProcessEventListener

    public TaskCleanUpProcessEventListener(TaskService taskService)

Method Detail

### afterProcessCompleted

    public void afterProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been completed (or aborted).

  Specified by:
    `afterProcessCompleted` in interface `ProcessEventListener`
  Overrides:
    `afterProcessCompleted` in class `org.drools.core.event.DefaultProcessEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.